Subject: bug#20657: Accepting [xyz---abc] - three minus signs to mean one

From: [email-masked]
Date: Sun, 24 Apr 2022 22:51:13 -0600

Paul Eggert <[email-masked]> wrote:

> On 4/24/22 06:21, [email-masked] wrote:
> > I plan to add a test to gawk; perhaps grep would benefit from one as well?
>
> That'd need more than just a test, as we'd need to also modify regex.m4 
> to arrange to replace any system regex that has this incompatibility 
> with gnulib regex. And we'd need to document the extension since we 
> shouldn't test undocumented features. Although such work could be done, 
> I expect it'd be a more productive use of our limited time to get this 
> extension into glibc first. I'll add that to my (long) list of things to do.

OK - I agree that getting this into glibc is higher priority.

Thanks,

Arnold